axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Deepal Jayasinghe (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (AXIS2-2918) Same module with different versions are allowed to engaged to services
Date Fri, 13 Jul 2007 12:23:04 GMT

     [ https://issues.apache.org/jira/browse/AXIS2-2918?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Deepal Jayasinghe resolved AXIS2-2918.
--------------------------------------

    Resolution: Fixed

> Same module with different versions are allowed to engaged to services
> ----------------------------------------------------------------------
>
>                 Key: AXIS2-2918
>                 URL: https://issues.apache.org/jira/browse/AXIS2-2918
>             Project: Axis 2.0 (Axis2)
>          Issue Type: Bug
>          Components: modules
>    Affects Versions: 1.3
>         Environment: winxp, jdk15
>            Reporter: Charitha Kankanamge
>            Priority: Critical
>
> If two versions of the same module present in the respository, Axis2 allows to engage
both versions to the same service.
> For example suppose you have module-test-1.1.mar and module-test-1.2.mar in your repo.
Then If you deploy a service with engaging module-test, you get module-test-1.2.mar as the
engaged module since it is the latest version.
> Now try to engage module-test-1.1.mar to the same service.
> You can engage that as well. 
> I think Axis2 should not allow to engage older version to the service.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


---------------------------------------------------------------------
To unsubscribe, e-mail: axis-dev-unsubscribe@ws.apache.org
For additional commands, e-mail: axis-dev-help@ws.apache.org


Mime
View raw message